Microsoft 365 services won't work with Outlook 2007 and 2010 after November

Gandalf_The_Grey

Level 51
Verified
Trusted
Content Creator
Apr 24, 2016
4,011
What you need to know
  • Older versions of Outlook will not be able to connect to Microsoft 365 services after November 1, 2021.
  • Only Outlook 2013 Service Pack 1 or later will be supported after this date.
  • Microsoft is working with tenants to make sure that organizations move away from Outlook 2007 and 2010 before the deadline.
A deadline is quickly approaching for connecting Outlook for Windows to Office 365 and Microsoft 365 services. After November 1, 2021, older versions of Outlook will no longer be able to connect to these services. Only Outlook 2013 Service Pack 1 and later will be able to connect to Microsoft 365.

This deadline has been known for months, but Microsoft is giving people another heads up to make sure that they can move to a newer version of Outlook in time. The company explains that its customer support team is reaching out to tenants that still use Outlook 2007 and 2010.

Microsoft is cutting off support for older versions of Outlook to improve the security of the service. Support for basic authentication is ending as Microsoft 365 moves to more modern authentication protocols. These newer protocols are more secure but require up-to-date versions of Outlook.

Support for HTTP/2 is also being added to Microsoft 365. This lowers latency and has other advantages but also requires newer versions of Outlook.

Microsoft summarizes its reasoning in a Tech Community post:
  • Security fixes will protect your devices against known vulnerabilities.
  • Reliability – over the last five years we've eliminated 75% of crashes in Outlook!
  • Updated versions have all the coolest new features to make your life easier!
The same post from Microsoft includes links for upgrade guidance for organizations running Outlook 2007 and 2010.
 
Top